amide (1.0.6-7) unstable; urgency=medium

  * Team upload.
  [ Matthias Klumpp ]
  * Drop build-dependency on appstream-util

 -- Matthias Klumpp <mak@debian.org>  Sun, 26 Oct 2025 00:10:12 +0100

amide (1.0.6-6) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    Closes: #1096303.

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Sep 2025 17:05:00 +0200

amide (1.0.6-5) unstable; urgency=medium

  * Team upload.
  * Make main window resizable
    Closes: #901677

 -- Yavor Doganov <yavor@gnu.org>  Sat, 24 Feb 2024 20:28:56 +0100

amide (1.0.6-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/gsettings.patch: New; port to GSettings.
  * debian/patches/gtk3+goocanvas.patch: New; port to GTK 3 and GooCanvas
    2.0 (Closes: #967252).
  * debian/patches/no-gnome-vfs.patch: New; remove GnomeVFS support.
  * debian/patches/compiler-warnings.patch: New; fix some warnings.
  * debian/rules (override_dh_auto_configure): Remove --disable-gconf and
    --disable-gnome-vfs.
  * debian/control (Build-Depends): Replace libgtk2.0-dev and
    libgnomecanvas2-dev with libgtk-3-dev and libgoocanvas-2.0-dev.  Add
    libopenjp2-7-dev and libvistaio-dev, thus adding support for JPEG 2000
    and Vista images.
  * debian/NEWS: New file; inform users that configuration is lost.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 22 Feb 2024 09:00:50 +0200

amide (1.0.6-3) unstable; urgency=medium

  * Team upload.
  * Added autopkgtest

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Tue, 05 Dec 2023 19:39:39 +0000

amide (1.0.6-2) unstable; urgency=medium

  * d/control: remove libxml-parser-perl from build dependencies.
    As discussed during Debian Reunion Hamburg, this is a possible
    leftover from an earlier vendoring of the intltool package.  Removing
    it doesn't hurt, and also allows crossbuildability.
    Thanks to Helmut Grohne
  * d/clean: remove two leftover files. (Closes: #1044105)
  * d/rules: copy amide.xml instead of moving it.
    The file will be reusable for any subsequent clean and rebuild cycle.
    (Closes: #1049767)
  * d/control: declare compliance to standards version 4.6.2.
  * d/NEWS: remove: message relevant for stretch to buster upgrade.
  * 10_Makefile.am.patch: declare forwarding not needed.
  * 10_configure.ac.patch: declare forwarding not needed.
  * typos.patch: new: fix typos caught by lintian.
  * d/u/metadata: update to new upstream coordinates.
  * d/copyright: highlight use of GFDL-1.1 _or later_.
    Also give precise references to the later GFDL versions texts on the
    Debian systems, and clarify in comment that this is the "no invariant
    sections" derivative license which is DFSG compatible (contrary to the
    plain version).
  * d/copyright: update upstream copyright year.
  * d/copyright: fix attribution of files originating from gimp.
  * d/copyright: update debian contributors.

 -- Étienne Mollier <emollier@debian.org>  Wed, 23 Aug 2023 15:21:20 +0200

amide (1.0.6-1) unstable; urgency=medium

  * New upstream, and new upstream version.
  * d/{control,copyright,watch}: point to the new Github project.
    According to an exchange on the now legacy amide-users mailing list[1],
    development of Amide shifted from SourceForge to Github with a fork,
    since the original upstream author does not seem to be active anymore[2].
    [1]: https://sourceforge.net/p/amide/mailman/message/36974307/
    [2]: https://sourceforge.net/p/amide/mailman/message/37637694/
  * Standards-Version: 4.6.1 (routine-update)
  * Refresh all patches following change of upstream and upstream version.
    Adjusted patches mostly due to change of layout are:
      - 10_Makefile.am.patch
      - 10_configure.ac.patch
      - 10_desktop.in.patch (plus a change to pass a file name in Exec key)
      - libav10.patch
      - remove-autdated-gnome-macros.patch
    Deleted patches, mostly applied upstream, are:
      - amide-1.0.6-disable-gconf-and-gnome-vfs.patch
      - ffmpeg-35.patch
      - ffmpeg_2.9.patch
      - fix-gcc10.patch
      - gsl_2x.patch
      - libc_2.23.patch
  * d/{copyright,docs,rules}: adjust to the new source code layout.
  * Add debian-djdecode.patch: use Debian's djdecode.h.
  * Add ffmpeg-5.patch: fix ftbfs with ffmpeg 5.0.
    Thanks to Fernando Hueso González (Closes: #1004597)
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Jul 2022 12:14:23 +0200

amide (1.0.5-16) unstable; urgency=medium

  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * watch file standard 4 (routine-update)
  * Review d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 09:27:32 +0200

amide (1.0.5-15) unstable; urgency=medium

  * Fix maintainer address
    Closes: #976831

 -- Andreas Tille <tille@debian.org>  Mon, 14 Dec 2020 18:55:13 +0100

amide (1.0.5-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Wrap long lines in changelog entries: 0.8.21-3.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Name (from ./configure), Repository.
  * Fix day-of-week for changelog entries 0.9.1-4, 0.8.22-1, 0.8.21-4.

  [ Gert Wollny ]
  * d/copyright: fix lintian

 -- Gert Wollny <gewo@debian.org>  Sat, 05 Dec 2020 22:43:35 +0100

amide (1.0.5-13) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint
  * d/u/metadata: yamllint

  [ Gert Wollny ]
  * d/p/fix_gcc10: Fix build with gcc-10 Closes: #956997
  * Fix spelling error
  * d/rules: remove --as-needed patch
  * d/control: Fix mailinglist address

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Apr 2020 10:11:32 +0200

amide (1.0.5-12) unstable; urgency=medium

  * Drop scroolkeeper from Build-Depends
    Closes: #911564
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 14:09:44 +0200

amide (1.0.5-11) unstable; urgency=medium

  * Remove Dominique Belhachemi from Uploaders
  * Build-Depends: libmdc-dev (instead of libmdc2-dev)
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Delete unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jun 2018 16:55:26 +0200

amide (1.0.5-10) unstable; urgency=medium

  * d/p/ffmpeg-35: fix compilation with ffpeg-3.5, Closes: #888342

 -- Gert Wollny <gewo@debian.org>  Sun, 28 Jan 2018 12:12:39 +0100

amide (1.0.5-9) unstable; urgency=medium

  * d/rules, d/p: Disable gconf and gnome-vfs, Closes: #868383
  * d/control: remove build dep on libgnomeui
  * d/control: update standards to 4.1.2 (no changes)
  * d/NEWS: Add a news entry to inform about loss of old configs

 -- Gert Wollny <gewo@debian.org>  Fri, 12 Jan 2018 10:46:18 +0100

amide (1.0.5-8) unstable; urgency=medium

  [ Gert Wollny ]
  * remove autdated gnome macros and switch to yelp
    Closes: #830051
  * remove dependencies that are default with dh 10
  * disable GTK-DOC test since libarary documentation is not
    build
  * update my uploader address

  [ Andreas Tille ]
  * debhelper 10
  * Move packaging from SVN to Git

  [ Gert Wollny ]
  *

 -- Gert Wollny <gewo@debian.org>  Sun, 24 Sep 2017 12:22:10 +0000

amide (1.0.5-7) unstable; urgency=medium

  * cme fix dpkg-control
  * Build-Depends: gnome-common
    Closes: #837817
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2016 08:35:14 +0200

amide (1.0.5-6) unstable; urgency=medium

  * d/p: Add patch libc_2.23.patch Closes: #818818
  * d/control: Update standards version to 3.9.7
  * d/control: Set VCS url to https

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 21 Mar 2016 10:21:19 +0000

amide (1.0.5-5) unstable; urgency=medium

  * d/patches/gsl_2x.patch: Fix compilation against GSL >= 2.0
    Closes: #805748
  * Update build dependency from libgsl0-dev to libgsl-dev
    (Thanks: Bas Couwenberg)

 -- Gert Wollny <gw.fossdev@gmail.com>  Sun, 22 Nov 2015 14:31:55 +0100

amide (1.0.5-4) unstable; urgency=medium

  * Add patch to support ffmpeg-2.9, Closes: #803798
    Thanks to Andreas Cadhalpun
  * d/control: Change dependency from libdcmtk2-dev to libdcmtk-dev
  * Remove d/amide.menu since this is now handled by the .desktop file
    Quells lintian warning: command-in-menu-file-and-desktop-file

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 03 Nov 2015 13:42:42 +0100

amide (1.0.5-3) unstable; urgency=medium

  * Enhanced description
    Closes: #779706

 -- Andreas Tille <tille@debian.org>  Mon, 27 Apr 2015 09:29:03 +0200

amide (1.0.5-2) unstable; urgency=medium

  * Enhanced patch allows one to build also against libav in unstable
  * New upstream version in unstable
    Closes: #703076

 -- Andreas Tille <tille@debian.org>  Wed, 26 Feb 2014 09:09:59 +0100

amide (1.0.5-1) experimental; urgency=low

  * New upstream version (adapted patches)
  * debian/upstream/metadata: Add publication data
  * debian/patches/libav10.patch: Fix compilation against libav 10
    (Thanks to Reinhard Tartler <siretart@tauware.de> for the patch)
    Closes: #739211
    The patch goes only to experimental so for the moment we also
    upload to experimental
  * cme fix dpkg-control
  * Build-Depends: libavutil-dev ( >= 6:10~alpha2-1~ )

 -- Andreas Tille <tille@debian.org>  Mon, 24 Feb 2014 15:30:19 +0100

amide (1.0.4-1) unstable; urgency=low

  * New upstream version (adapted patch)
    Closes: #653365
  * debian/gcc-4.8_format-securit.patch: Make sure package builds even
    with --format-security enabled (hardening flags)
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - anonscm in Vcs fields
  * Make use of dh-autoreconf
    Closes: #653366
  * debian/patches/deprecated-libav.patch: recent libavcodec removed
    some more deprecated functions (thanks for the patch to
    Andreas Moog <andreas.moog@warperbbs.de>)
    Closes: #720779
  * deactivate doc creation because it breaks the build process.  Any
    help to get this running again is appreciated (see debian/rules)
  * debian/rules: Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Mon, 26 Aug 2013 14:53:06 +0200

amide (1.0.1-1) unstable; urgency=low

  * debian/README.source: removed because it is redundant
  * debian/control:
    - Fixed Vcs-Svn
    - Removed quilt from Build-Depends
  * debian/install: Make use of dh_install
  * debian/rules:
    - Remove unknown option --enable-rpm-install from configure
      arguments
    - rewritten to make use of
       dh --with autotools_dev
  * debian/deletable.files: Removed.  There is no need to hack
    around broken upstream tarballs.  Upstream contains some *.bak
    files which are cleaned up in upstream clean target
  * debian/autogen.sh:
    Not needed when properly using autotools-dev

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2012 13:28:04 +0100

amide (1.0.0-1) unstable; urgency=low

  * New upstream release
  * update watch file to scan 1.x branch
  * fix vcs field

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 17 Sep 2011 21:07:29 -0400

amide (0.9.3-1) unstable; urgency=low

  * New upstream version
  * Removed debian/get-orig-source which is not needed because
    uscan works perfectly and thus use uscan in debian/rules
  * debian/control:
    - Standards-Version: 3.9.1 (no changes needed)
    - Debhelper 8
    - Build-Depends: libdcmtk2-dev (instead of libdcmtk1-dev)
  * debian/source/format: 3.0 (quilt)
  * debian/rules: Deleted some useless comments
  * debian/patches/20_fix_add_needed.diff: Removed because applied
    upstream
  * debian/patches/10_all.diff: Make sure -lavcodec and -lavutil
    is propagated to the linker

 -- Andreas Tille <tille@debian.org>  Thu, 24 Mar 2011 15:02:45 +0100

amide (0.9.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bug fix: "FTBFS with --no-add-needed, missing -lavutil", thanks to
    Julien Cristau (Closes: #614725).

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 25 Feb 2011 15:54:15 +0100

amide (0.9.2-1) unstable; urgency=low

  * New upstream release
  * put amide under Debian Med team maintenance
  * changed patch system: using quilt instead of dpatch
  * added dependency: libavcodec-dev for fly through video generation

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 20 Dec 2009 13:38:23 -0500

amide (0.9.1-5) unstable; urgency=low

  * debian/control: removed build dependency to libglib1.2-dev
                    and libglib1.2-dev (Closes: #523561)
  * debian/control: Standards-Version: 3.8.1
  * debian/changelog: updated references to GPL-2 and LGPL-2

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 12 Apr 2009 13:01:46 -0400

amide (0.9.1-4) unstable; urgency=low

   * debian/compat: bumped up to 7
   * debian/rules: uses "dh_prep" now instead of "dh_clean -k"
   * desktop category is now: Categories=Graphics;MedicalSoftware;
   * Add var/lib/scrollkeeper to debian/dirs to so that scrollkeeper-update
     can use it when run by the build system.
   * debugging symbols disabled
   * debian/copyright: is now machine-interpretable

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 19 Feb 2009 09:21:05 -0500

amide (0.9.1-3) unstable; urgency=low

  * fixed lintian warning: doc-base-uses-applications-section
  * debian/control: Standards-Version: 3.8.0
  * debian/control: DM-Upload-Allowed: yes

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Fri, 14 Nov 2008 17:10:08 +0100

amide (0.9.1-2) unstable; urgency=low

   * debian/control: removed builddep libniftiio1-dev (Closes: #460358)
   * fixed implicit pointer conversion (Closes: #457987)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 13 Jan 2008 10:53:11 +0200


amide (0.9.1-1) unstable; urgency=low

   * New upstream release
   * debian-policy 3.7.3 ready

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 20 Dec 2007 22:33:35 +0200


amide (0.8.22-2) unstable; urgency=low

  * debian/control: libvolpack1-dev added

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 16 Dec 2007 23:13:12 +0200


amide (0.8.22-1) unstable; urgency=low

   * New upstream release
   * make use of autoconf in debian/rules file
   * small bug-fixes
   * Back to menu-1 format
   * all changes can be found in debian/patches folder

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Fri, 23 Nov 2007 19:13:12 +0200


amide (0.8.21-4) unstable; urgency=low

  * debian/control: libniftiio1-dev dependency is updated

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 16 Sep 2007 22:10:46 +0200


amide (0.8.21-3) unstable; urgency=low

  * debian/copyright : Add documentation license (GFDL) without optional
    features.

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sat, 28 Jul 2007 02:54:46 +0200


amide (0.8.21-2) unstable; urgency=low

  * Add missing libglib1.2-dev dependency.

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 18 Jul 2007 01:42:45 +0200


amide (0.8.21-1) unstable; urgency=low

  * Initial release (Closes: #409913)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 15 Jul 2007 21:32:15 +0200
